跳至內容

Meshy Rigging

整合

模型 id meshy/rigging
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/meshy/rigging?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.20 200 API 點數 · ≈ ₽21.09 在此頁面執行

取得 API 金鑰
Meshy 3D #3d-to-3d#rigging

為現有的人形 GLB 模型綁定骨架,並可套用一個動畫預設

Meshy · 3D

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

用於為四肢清楚可辨的人形 3D 角色套用骨架的 URL。URL 必須可公開存取並指向 GLB 檔案;模型可來自 Hunyuan、Trellis、Meshy 或其他 3D 生成工具。

進階 height_meters · animation_action_id · enable_safety_checker
預設 1.7

預估角色高度,以公尺為單位。

預設 92

Meshy 程式庫動畫預設值 ID,可用動作列於 https://docs.meshy.ai/en/api/animation-library。僅在 enable_animation 為 true 時驗證並使用:超出 [0, 696] 的值會以 422 拒絕,且 "Idle" 對應 `0`。

POST /run/meshy/rigging?wait=20 報價 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/meshy/rigging?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Meshy Rigging

在 `model_url` 中接收 GLB 格式的人形角色,並回傳已綁定骨架的 GLB 和 FBX 檔案,以及基本的走路和跑步動畫。設定 `height_meters` 以描述角色尺寸。啟用 `enable_animation` 後,還會套用由 `animation_action_id` 選擇的一個預設,其範圍為 0 至 696。只要角色具有清晰的四肢,即可處理任何來源的模型。

參數

名稱類型 預設值允許值 說明
model_url必填
類型string
用於為四肢清楚可辨的人形 3D 角色套用骨架的 URL。URL 必須可公開存取並指向 GLB 檔案;模型可來自 Hunyuan、Trellis、Meshy 或其他 3D 生成工具。
height_meters選填
類型number
預設值1.7
> 0
預估角色高度,以公尺為單位。
enable_animation選填
類型boolean
預設值false
控制是否將預設動畫套用至已套用骨架的模型。
animation_action_id選填
類型integer
預設值92
Meshy 程式庫動畫預設值 ID,可用動作列於 https://docs.meshy.ai/en/api/animation-library。僅在 enable_animation 為 true 時驗證並使用:超出 [0, 696] 的值會以 422 拒絕,且 "Idle" 對應 `0`。
enable_safety_checker選填
類型boolean
預設值true
前處理安全檢查開關:true 會將輸入安全檢查設為處理的必要條件。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/rigging",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "model_url": "https://example.com/your-file.glb"
  },
  "output": {
    "rigged_character_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "rigged_character_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "basic_animations": {
      "walking_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "animation_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "animation_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "rig_task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
rigged_character_glb
object {url, content_type, file_name, file_size} | null已套用骨架的 GLB 格式角色。
rigged_character_fbx
object {url, content_type, file_name, file_size} | null已套用骨架的 FBX 格式角色。
basic_animations
object {walking_glb, walking_fbx, walking_armature_glb, running_glb, running_fbx, running_armature_glb} | null作為骨架套用一部分提供的基本走路和跑步動畫。
animation_glb
object {url, content_type, file_name, file_size} | null包含 GLB 3D 模型的動畫結果;除非 enable_animation 為 true,否則回應會省略此結果。
animation_fbx
object {url, content_type, file_name, file_size} | null包含 FBX 3D 模型的動畫結果;除非 enable_animation 為 true,否則回應會省略此結果。
rig_task_id
string | nullMeshy 中骨架套用工作的識別碼。

更多模型:3D

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/meshy/rigging.md. 所有模型與指南: https://doitong.com/developers/llms.txt